> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketenv.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile



## OpenAPI

````yaml GET /io.pocketenv.actor.getProfile
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.pocketenv.io/xrpc/
    description: AT Protocol PDS XRPC server
  - url: https://api.pocketenv.io/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: io.pocketenv.actor
  - name: app.bsky.actor
  - name: io.pocketenv.file
  - name: io.pocketenv.port
  - name: io.pocketenv.publicKey
  - name: io.pocketenv.sandbox
  - name: io.pocketenv.secret
  - name: io.pocketenv.service
  - name: com.atproto.repo
  - name: io.pocketenv.variable
  - name: io.pocketenv.volume
paths:
  /io.pocketenv.actor.getProfile:
    get:
      tags:
        - io.pocketenv.actor
      summary: Get the profile of an actor
      operationId: io.pocketenv.actor.getProfile
      parameters:
        - name: did
          in: query
          description: The DID or handle of the actor
          required: false
          schema:
            type: string
            description: The DID or handle of the actor
            format: at-identifier
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/io.pocketenv.actor.defs.profileViewDetailed
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    io.pocketenv.actor.defs.profileViewDetailed:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the actor.
        did:
          type: string
          description: The DID of the actor.
        handle:
          type: string
          description: The handle of the actor.
        displayName:
          type: string
          description: The display name of the actor.
        avatar:
          type: string
          description: The URL of the actor's avatar image.
          format: uri
        createdAt:
          type: string
          description: The date and time when the actor was created.
          format: date-time
        updatedAt:
          type: string
          description: The date and time when the actor was last updated.
          format: date-time
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````